Package twisted :: Package python :: Module formmethod :: Class VerifiedPassword |
[frames | no frames]

## Class VerifiedPassword

    Argument --+
               |
          String --+
                   |
                  VerifiedPassword

A string that should be obscured when input and needs verification.

Method Summary
| `coerce(self, vals)`
Inherited from String
| ``__init__`(self, name, default, shortDesc, longDesc, hints, allowNone, min, max)`
Inherited from Argument
| ``addHints`(self, **kwargs)`
| ``getHint`(self, name, default)`
| ``getLongDescription`(self)`
| ``getShortDescription`(self)`

Class Variable Summary
Inherited from String
`str` | `defaultDefault` = `''`
`NoneType` | `max` = None
`int` | `min` = 0

Generated by Epydoc 2.0 on Sat Oct 25 00:55:10 2003 | http://epydoc.sf.net